<mamecheat version="1">

  <cheat desc="Infinite Quarter Time">
    <script state="run">
      <action>maincpu.pb@1137AB8=03</action>
      <action>maincpu.pb@1137AB0=05</action>
      <action>maincpu.pb@1137AA8=0A</action>
    </script>
  </cheat>

  <cheat desc="Finish this Quarter Now!">
    <script state="on">
      <action>maincpu.pb@1137AB8=00</action>
      <action>maincpu.pb@1137AB0=00</action>
      <action>maincpu.pb@1137AA8=01</action>
    </script>
  </cheat>

  <cheat desc="Infinite Shot Time">
    <script state="run">
      <action>maincpu.pb@1137A70=0A</action>
    </script>
  </cheat>

  <cheat desc="No Shot Time Left Now!">
    <script state="on">
      <action>maincpu.pb@1137A70=00</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Score always 0 PL1">
    <script state="run">
      <action>maincpu.pb@1137BE0=00</action>
    </script>
  </cheat>

  <cheat desc="Score always 150 PL1">
    <script state="run">
      <action>maincpu.pb@1137BE0=96</action>
    </script>
  </cheat>

  <cheat desc="Set score = 0 Now! PL1">
    <script state="on">
      <action>maincpu.pb@1137BE0=00</action>
    </script>
  </cheat>

  <cheat desc="Set score = 150 Now! PL1">
    <script state="on">
      <action>maincpu.pb@1137BE0=96</action>
    </script>
  </cheat>

  <cheat desc="Select Score Now! PL1">
    <parameter min="0" max="150" step="1"/>
    <script state="change">
      <action>maincpu.pb@1137BE0=(param)</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Score always = 0 PL2">
    <script state="run">
      <action>maincpu.pb@1137BF0=00</action>
    </script>
  </cheat>

  <cheat desc="Score always = 150 PL2">
    <script state="run">
      <action>maincpu.pb@1137BF0=96</action>
    </script>
  </cheat>

  <cheat desc="Set score = 0 Now! PL2">
    <script state="on">
      <action>maincpu.pb@1137BF0=00</action>
    </script>
  </cheat>

  <cheat desc="Set score = 150 Now! PL2">
    <script state="on">
      <action>maincpu.pb@1137BF0=96</action>
    </script>
  </cheat>

  <cheat desc="Select Score Now! PL2">
    <parameter min="0" max="150" step="1"/>
    <script state="change">
      <action>maincpu.pb@1137BF0=(param)</action>
    </script>
  </cheat>

  <cheat desc=" "/>
  <cheat desc="Use these Cheats on the Character Edit Screen"/>
  <cheat desc="-----------------------------------------------"/>

  <cheat desc="Infinite Time To Edit Character">
    <script state="run">
      <action>maincpu.pb@1140420=01</action>
      <action>maincpu.pb@1140430=3C</action>
    </script>
  </cheat>

  <cheat desc="Get Maximum Speed Now!">
    <script state="on">
      <action>maincpu.pb@1140C80=0A</action>
    </script>
  </cheat>

  <cheat desc="Get Maximum Power Now!">
    <script state="on">
      <action>maincpu.pb@1140C90=0A</action>
    </script>
  </cheat>

  <cheat desc="Get Maximum Shoot Now!">
    <script state="on">
      <action>maincpu.pb@1140CA0=0A</action>
    </script>
  </cheat>

  <cheat desc="Get Maximum Dunks Now!">
    <script state="on">
      <action>maincpu.pb@1140CB0=0A</action>
    </script>
  </cheat>

  <cheat desc="Get Maximum Steal Now!">
    <script state="on">
      <action>maincpu.pb@1140CC0=0A</action>
    </script>
  </cheat>

  <cheat desc="Get Maximum Block Now!">
    <script state="on">
      <action>maincpu.pb@1140CD0=0A</action>
    </script>
  </cheat>

  <cheat desc="Get Maximum Height Now!">
    <script state="on">
      <action>maincpu.pb@1140CE0=0A</action>
    </script>
  </cheat>

  <cheat desc="Get Maximum Weight Now!">
    <script state="on">
      <action>maincpu.pb@1140CF0=0A</action>
    </script>
  </cheat>

  <cheat desc="Select Number of Attribute Points">
    <parameter min="0" max="80" step="1"/>
    <script state="change">
      <action>maincpu.pb@1140D00=(param)</action>
    </script>
  </cheat>

  <cheat desc="Get 'No Tag Arrow' Now!">
    <script state="on">
      <action>maincpu.pb@1141480=01|(maincpu.pb@1141480 BAND ~01)</action>
    </script>
  </cheat>

  <cheat desc="Get 'Stealth Turbo' Now!">
    <script state="on">
      <action>maincpu.pb@1141480=02|(maincpu.pb@1141480 BAND ~02)</action>
    </script>
  </cheat>

  <cheat desc="Get 'Big Head' Now!">
    <script state="on">
      <action>maincpu.pb@1141480=04|(maincpu.pb@1141480 BAND ~04)</action>
    </script>
  </cheat>

  <cheat desc="Get 'Hide Attributes' Now!">
    <script state="on">
      <action>maincpu.pb@1141480=08|(maincpu.pb@1141480 BAND ~08)</action>
    </script>
  </cheat>

  <cheat desc="Get 'Drone Big Head' Now!">
    <script state="on">
      <action>maincpu.pb@1141480=10|(maincpu.pb@1141480 BAND ~10)</action>
    </script>
  </cheat>

  <cheat desc="Get 'Super Rebound' Now!">
    <script state="on">
      <action>maincpu.pb@1141480=20|(maincpu.pb@1141480 BAND ~20)</action>
    </script>
  </cheat>

  <cheat desc="Get 'Smarter Drone' Now!">
    <script state="on">
      <action>maincpu.pb@1141480=40|(maincpu.pb@1141480 BAND ~40)</action>
    </script>
  </cheat>

  <cheat desc="Lose 'No Tag Arrow' Now!">
    <script state="on">
      <action>maincpu.pb@1141480=00|(maincpu.pb@1141480 BAND ~01)</action>
    </script>
  </cheat>

  <cheat desc="Lose 'Stealth Turbo' Now!">
    <script state="on">
      <action>maincpu.pb@1141480=00|(maincpu.pb@1141480 BAND ~02)</action>
    </script>
  </cheat>

  <cheat desc="Lose 'Big Head' Now!">
    <script state="on">
      <action>maincpu.pb@1141480=00|(maincpu.pb@1141480 BAND ~04)</action>
    </script>
  </cheat>

  <cheat desc="Lose 'Hide Attributes' Now!">
    <script state="on">
      <action>maincpu.pb@1141480=00|(maincpu.pb@1141480 BAND ~08)</action>
    </script>
  </cheat>

  <cheat desc="Lose 'Drone Big Head' Now!">
    <script state="on">
      <action>maincpu.pb@1141480=00|(maincpu.pb@1141480 BAND ~10)</action>
    </script>
  </cheat>

  <cheat desc="Lose 'Super Rebound' Now!">
    <script state="on">
      <action>maincpu.pb@1141480=00|(maincpu.pb@1141480 BAND ~20)</action>
    </script>
  </cheat>

  <cheat desc="Lose 'Smarter Drone' Now!">
    <script state="on">
      <action>maincpu.pb@1141480=00|(maincpu.pb@1141480 BAND ~40)</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
